RDKit: RDKit::MolAlign::LAP Class Reference

| RDKit Open-source cheminformatics and machine learning.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
RDKit::MolAlign::LAP Class Reference

`#include <O3AAlignMolecules.h>`

## Public Member Functions
| LAP (unsigned int dim)
| ~LAP ()
int | getCost (const unsigned int i, const unsigned int j)
int | getRowSol (const unsigned int i)
void | computeMinCostPath (const int dim)
void | computeCostMatrix (const ROMol &prbMol, const MolHistogram &prbHist, const ROMol &refMol, const MolHistogram &refHist, O3AConstraintVect *o3aConstraintVect, int(*costFunc)(const unsigned int, const unsigned int, double, void *), void *data, const unsigned int n_bins=O3_MAX_H_BINS)

## Detailed Description

Definition at line 146 of file O3AAlignMolecules.h.

## Constructor & Destructor Documentation

RDKit::MolAlign::LAP::LAP | ( | unsigned int | dim | ) |
| inline

Definition at line 148 of file O3AAlignMolecules.h.

RDKit::MolAlign::LAP::~LAP | ( |  | ) |
| inline

Definition at line 158 of file O3AAlignMolecules.h.

## Member Function Documentation

void RDKit::MolAlign::LAP::computeCostMatrix | ( | const ROMol & | prbMol,
|  | const MolHistogram & | prbHist,
|  | const ROMol & | refMol,
|  | const MolHistogram & | refHist,
|  | O3AConstraintVect * | o3aConstraintVect,
|  | int(*)(const unsigned int, const unsigned int, double, void *) | costFunc,
|  | void * | data,
|  | const unsigned int | n_bins = `O3_MAX_H_BINS`
| ) |  |

void RDKit::MolAlign::LAP::computeMinCostPath | ( | const int | dim | ) |

int RDKit::MolAlign::LAP::getCost | ( | const unsigned int | i,
|  | const unsigned int | j
| ) |  |
| inline

Definition at line 159 of file O3AAlignMolecules.h.

References PRECONDITION.

int RDKit::MolAlign::LAP::getRowSol | ( | const unsigned int | i | ) |
| inline

Definition at line 164 of file O3AAlignMolecules.h.

References PRECONDITION.

The documentation for this class was generated from the following file:

- O3AAlignMolecules.h